import { n as u } from "../../normalize.mjs";
import { s as c } from "./schema.mjs";
import { d as i } from "./defined-info.mjs";
var m = u, y = c, b = i, w = l;
function l(a) {
  var o = a.space, v = a.mustUseProperty || [], f = a.attributes || {}, s = a.properties, n = a.transform, p = {}, t = {}, r, e;
  for (r in s)
    e = new b(r, n(f, r), s[r], o), v.indexOf(r) !== -1 && (e.mustUseProperty = !0), p[r] = e, t[m(r)] = r, t[m(e.attribute)] = r;
  return new y(p, t, o);
}
export {
  w as c
};
